package com.cultural.heritage.model.dto.order;

import com.cultural.heritage.model.dto.snapshot.AddressSnapshot;
import com.cultural.heritage.model.dto.snapshot.ContactsSnapshot;
import com.cultural.heritage.model.dto.snapshot.CouponSnapshot;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
public class OrderAddRequest implements Serializable {


    /**
     * 用户id
     */
    private Long userId;

    /**
     * 订单编号
     */
    private String orderNumber;


    /**
     * 地址信息快照
     */
    private AddressSnapshot addressSnapshot;


    /**
     * 联系人信息快照
     */
    private ContactsSnapshot contactsSnapshot;


    /**
     * 优惠券信息快照
     */
    private CouponSnapshot couponSnapshot;


    /**
     * 订单总金额
     */
    private Double totalAmount;

    /**
     * 订单状态
     */
    private String orderStatus;


    @Serial
    private static final long serialVersionUID = 1L;
}
